### Method

# Pango AttrIterator get_font

#### Declaration [src]

    void
    pango_attr_iterator_get_font (
      PangoAttrIterator* iterator,
      PangoFontDescription* desc,
      PangoLanguage** language,
      GSList** extra_attrs
    )

#### Description [src]

Get the font and other attributes at the current iterator position.

#### Parameters

`desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription` to fill in with the current values. The family name in this structure will be set using `pango_font_description_set_family_static()` using values from an attribute in the `PangoAttrList` associated with the iterator, so if you plan to keep it around, you must call: `pango_font_description_set_family (desc, pango_font_description_get_family (desc))`.

  The data is owned by the caller of the method.

`language`

  Type: `PangoLanguage`

  Location to store language tag for item, or `NULL` if none is found.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`extra_attrs`

  Type: A list of `PangoAttribute*`

  location in which to store a list of non-font attributes at the the current position; only the highest priority value of each attribute will be added to this list. In order to free this value, you must call `pango_attribute_destroy()` on each member.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.